<bugID>980911<Summary>Rewrite inline script/style in browser/base/content/aboutaccounts/aboutaccounts.xhtml (about:accounts)</Summary><Description>+++ This bug was initially created as a clone of Bug #956482 +++

With the current plan to harden the security of Firefox, we want to disallow internal privileged pages to use inline JavaScript. Since their amount is fairly limited, we start this by rewriting them bit by bit.

If you want to work on this, check our project page on the wiki, that will help resolving some initial questions: https://wiki.mozilla.org/Security/Inline_Scripts_and_Styles

P.S.: I wonder if there's a way to convince Firefox and Toolkit Module peer that they will encourage upcoming internal pages not to contain things inline.</Description></bugID>